Simulate Deposit Creation

You can use this endpoint to simulate deposits into your global account. This is only available in the sandbox environment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example payload
   curl --location 'https://api-sandbox.uqpaytech.com/api/v1/simulation/deposit' \
        --header 'Content-Type: application/json' \
        --header 'Accept: application/json' \
        --header 'x-auth-token: {{$token}}' \
        --header 'x-idempotency-key: {{$uuid}}' \
        --data '{
            "amount": "1106.15",
            "currency": "SGD",
            "sender_swift_code": "WELGBE22",
            "receiver_account_number": "{{$account_number}}"
   }'
Body Params
number
required

The amount to deposit.

string
required
length ≤ 3

Currency code ISO_4217.

string

The receiver's account number.

string
required

Swift code of the sender's bank account.

string

The sender's account number.

string
length ≤ 2

Two-letter country code ISO 3166-1 alpha-2.

string

The customer-facing business name.

Headers
string

The value set to the connected account's ID. More information at Connected Accounts

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json